Skip to main content
cURL

Query Parameters

currency
enum<string>
required

The currency symbol.

📖 Related Article: Using the currency Parameter

Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR
kind
enum<string>

Instrument kind, "combo" for any combo or "any" for all. If not provided instruments of all kinds are considered Instrument kind: "future", "option", "spot", "future_combo", "option_combo", "combo" for any combo or "any" for all

Available options:
future,
option,
spot,
future_combo,
option_combo,
combo,
any
start_id
string

The ID of the first trade to be returned. Number for BTC trades, or hyphen name in ex. "ETH-15" # "ETH_USDC-16" Unique (per currency) trade identifier

end_id
string

The ID of the last trade to be returned. Number for BTC trades, or hyphen name in ex. "ETH-15" # "ETH_USDC-16" Unique (per currency) trade identifier

count
integer

Number of requested items, default - 10, maximum - 1000

Required range: 1 <= x <= 1000
start_timestamp
integer

Inclusive earliest timestamp (milliseconds since the Unix epoch); cannot be combined with a start_id or start_seq bound. The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

end_timestamp
integer

Inclusive latest timestamp (milliseconds since the Unix epoch). The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

sorting
enum<string>

Result ordering: asc, desc, or the method-specific default.

Available options:
asc,
desc,
default
historical
boolean

Determines whether historical trade and order records should be retrieved.

  • false (default): Returns recent records: orders for 30 min, trades for 24h.
  • true: Fetches historical records, available after a short delay due to indexing. Recent data is not included.

📖 Related Article: Accessing Historical Trades and Orders Using API

subaccount_id
integer

The user id for the subaccount

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request